package com.m2pool.common.core.exception.auth;

import org.apache.commons.lang3.StringUtils;

/**
 * @Description 未能通过的角色认证异常
 * @Date 2024/6/12 9:48
 * @Author dy
 */
public class NotRoleException extends RuntimeException{

    private static final long serialVersionUID = 1L;

    public NotRoleException(String role)
    {
        super(role);
    }

    public NotRoleException(String[] roles)
    {
        super(StringUtils.join(roles, ","));
    }


}
